// priority: 0

// Visit the wiki for more info - https://kubejs.com/

console.info('Hello, World! (Loaded startup scripts)')

StartupEvents.registry('item', event => {
    // The texture for this item has to be placed in kubejs/assets/kubejs/textures/item/test_item.png
    // If you want a custom item model, you can create one in Blockbench and put it in kubejs/assets/kubejs/models/item/test_item.json
    event.create('tier_1').displayName('§4Legendary Core (Tier 1)'),
    event.create('tier_2').displayName('§eLegendary Core (Tier 2)'),
    event.create('tier_3').displayName('§a§lLegendary Core (Tier 3)'),
    event.create('tier_4').displayName('§9§lLegendary Core (Tier 4)'),
    event.create('blue_feather').displayName('§b§lBlue Feather').tooltip('§eRight Click: Summons Articuno').unstackable(),
    event.create('yellow_feather').displayName('§e§lYellow Feather').tooltip('§eRight Click: Summons Zapdos').unstackable(),
    event.create('red_feather').displayName('§c§lRed Feather').tooltip('§eRight Click: Summons Moltres').unstackable(),
    event.create('purple_feather').displayName('§d§lPurple Feather').tooltip('§eRight Click: Summons Galarian Articuno').unstackable(),
    event.create('orange_feather').displayName('§6§lOrange Feather').tooltip('§eRight Click: Summons Galarian Zapdos').unstackable(),
    event.create('black_feather').displayName('§8§lBlack Feather').tooltip('§eRight Click: Summons Galarian Moltres').unstackable(),
    event.create('cloned_dna').displayName('§5§lCloned DNA').tooltip('§eRight Click: Summons Mewtwo').unstackable(),
    event.create('cat_treat').displayName('§d§lCat Treat').tooltip('§eRight Click: Summons Mew').unstackable(),
    event.create('electric_treat').displayName('§6§lElectric Treat').tooltip('§eRight Click: Summons Raikou').unstackable(),
    event.create('fire_treat').displayName('§4§lFire Treat').tooltip('§eRight Click: Summons Entei').unstackable(),
    event.create('water_treat').displayName('§b§lWater Treat').tooltip('§eRight Click: Summons Suicune').unstackable(),
    event.create('clear_bell').displayName('§6§lClear Bell').tooltip('§eRight Click: Summons Ho-Oh').unstackable(),
    event.create('tidal_bell').displayName('§9§lTidal Bell').tooltip('§eRight Click: Summons Lugia').unstackable(),
    event.create('time_gear').displayName('§b§lTime Gear').tooltip('§eRight Click: Summons Celebi').unstackable(),
    event.create('rocky_ore').displayName('§6§lRocky Ore').tooltip('§eRight Click: Summons Regirock').unstackable(),
    event.create('icy_ore').displayName('§b§lIcy Ore').tooltip('§eRight Click: Summons Regice').unstackable(),
    event.create('metallic_ore').displayName('§7§lMetallic Ore').tooltip('§eRight Click: Summons Registeel').unstackable(),
    event.create('red_soul_dew').displayName('§c§lRed Soul Dew').tooltip('§eRight Click: Summons Latias').unstackable(),
    event.create('blue_soul_dew').displayName('§9§lBlue Soul Dew').tooltip('§eRight Click: Summons Latios').unstackable(),
    event.create('red_orb').displayName('§4§lRed Orb').tooltip('§eRight Click: Summons Groudon').unstackable(),
    event.create('blue_orb').displayName('§1§lBlue Orb').tooltip('§eRight Click: Summons Kyogre').unstackable(),
    event.create('jade_orb').displayName('§2§lJade Orb').tooltip('§eRight Click: Summons Rayquaza').unstackable(),
    event.create('fallen_star').displayName('§e§lFallen Star').tooltip('§eRight Click: Summons Jirachi').unstackable(),
    event.create('meteorite').displayName('§4§lMeteorite').tooltip('§eRight Click: Summons Deoxys').unstackable(),
    event.create('yellow_chain').displayName('§e§lYellow Chain').tooltip('§eRight Click: Summons Uxie').unstackable(),
    event.create('red_chain').displayName('§c§lRed Chain').tooltip('§eRight Click: Summons Mesprit').unstackable(),
    event.create('blue_chain').displayName('§9§lBlue Chain').tooltip('§eRight Click: Summons Azelf').unstackable(),
    event.create('adamant_orb').displayName('§3§lAdamant Orb').tooltip('§eRight Click: Summons Dialga').unstackable(),
    event.create('lustrous_orb').displayName('§d§lLustrous Orb').tooltip('§eRight Click: Summons Palkia').unstackable(),
    event.create('magma_stone').displayName('§4§lMagma Stone').tooltip('§eRight Click: Summons Heatran').unstackable(),
    event.create('colossal_ore').displayName('§6§lColossal Ore').tooltip('§eRight Click: Summons Regigigas').unstackable(),
    event.create('griseous_orb').displayName('§8§lGriseous Orb').tooltip('§eRight Click: Summons Giratina').unstackable(),
    event.create('lunar_wing').displayName('§d§lLunar Wing').tooltip('§eRight Click: Summons Cresselia').unstackable(),
    event.create('manaphy_egg').displayName('§3§lManaphy Egg').tooltip('§eRight Click: Summons Manaphy').unstackable(),
    event.create('pure_darkness').displayName('§0§lPure Darkness').tooltip('§eRight Click: Summons Darkrai').unstackable(),
    event.create('gracidea').displayName('§a§lGracidea').tooltip('§eRight Click: Summons Shaymin').unstackable(),
    event.create('azure_flute').displayName('§f§lAzure Flute').tooltip('§eRight Click: Summons Arceus').unstackable(),
    event.create('victory_royale').displayName('§6§lVictory Royale').tooltip('§eRight Click: Summons Victini').unstackable(),
    event.create('cyan_blade').displayName('§3§lCyan Blade').tooltip('§eRight Click: Summons Cobalion').unstackable(),
    event.create('orange_blade').displayName('§6§lOrange Blade').tooltip('§eRight Click: Summons Terrakion').unstackable(),
    event.create('green_blade').displayName('§a§lGreen Blade').tooltip('§eRight Click: Summons Virizion').unstackable(),
    event.create('windy_cloud').displayName('§7§lWindy Cloud').tooltip('§eRight Click: Summons Tornadus').unstackable(),
    event.create('storm_cloud').displayName('§8§lStorm Cloud').tooltip('§eRight Click: Summons Thundurus').unstackable(),
    event.create('light_stone').displayName('§f§lLight Stone').tooltip('§eRight Click: Summons Reshiram').unstackable(),
    event.create('dark_stone').displayName('§8§lDark Stone').tooltip('§eRight Click: Summons Zekrom').unstackable(),
    event.create('sandy_cloud').displayName('§6§lSandy Cloud').tooltip('§eRight Click: Summons Landorus').unstackable(),
    event.create('dna_splicers').displayName('§b§lDNA Splicers').tooltip('§eRight Click: Summons Kyurem').unstackable(),
    event.create('blue_blade').displayName('§9§lBlue Blade').tooltip('§eRight Click: Summons Keldeo').unstackable(),
    event.create('driftveil_disc').displayName('§c§lMusic Disc (Driftveil City)').tooltip('§eRight Click: Summons Meloetta').unstackable(),
    event.create('blank_drive').displayName('§5§lBlank Drive').tooltip('§eRight Click: Summons Genesect').unstackable(),
    event.create('enhanced_bone_meal').displayName('§d§lEnhanced Bone Meal').tooltip('§eRight Click: Summons Xerneas').unstackable(),
    event.create('enhanced_gunpowder').displayName('§8§lEnhanced Gunpowder').tooltip('§eRight Click: Summons Yveltal').unstackable(),
    event.create('zygarde_core').displayName('§2§lZygarde Core').tooltip('§eRight Click: Summons Zygarde-50%').unstackable(),
    event.create('pink_crystal').displayName('§d§lPink Crystal').tooltip('§eRight Click: Summons Diancie').unstackable(),
    event.create('prison_bottle').displayName('§5§lPrison Bottle').tooltip('§eRight Click: Summons Hoopa').unstackable(),
    event.create('steam_bucket').displayName('§7§lSteam Bucket').tooltip('§eRight Click: Summons Volcanion').unstackable(),
    event.create('null').displayName('§7§lnull').tooltip('§eRight Click: Summons Type: Null').unstackable(),
    event.create('electric_seed').displayName('§6§lElectric Seed').tooltip('§eRight Click: Summons Tapu Koko').unstackable(),
    event.create('psychic_seed').displayName('§d§lPsychic Seed').tooltip('§eRight Click: Summons Tapu Lele').unstackable(),
    event.create('grassy_seed').displayName('§a§lGrassy Seed').tooltip('§eRight Click: Summons Tapu Bulu').unstackable(),
    event.create('misty_seed').displayName('§9§lMisty Seed').tooltip('§eRight Click: Summons Tapu Fini').unstackable(),
    event.create('n_solarizer').displayName('§e§lN-Solarizer').tooltip('§eRight Click: Summons Solgaleo').unstackable(),
    event.create('n_lunarizer').displayName('§5§lN-Lunarizer').tooltip('§eRight Click: Summons Lunala').unstackable(),
    event.create('symbiont_orb').displayName('§7§lSymbiont Orb').tooltip('§eRight Click: Summons Nihilego').unstackable(),
    event.create('absorption_orb').displayName('§4§lAbsorption Orb').tooltip('§eRight Click: Summons Buzzwole').unstackable(),
    event.create('beauty_orb').displayName('§f§lBeauty Orb').tooltip('§eRight Click: Summons Pheromosa').unstackable(),
    event.create('lighting_orb').displayName('§e§lLighting Orb').tooltip('§eRight Click: Summons Xurkitree').unstackable(),
    event.create('blaster_orb').displayName('§2§lBlaster Orb').tooltip('§eRight Click: Summons Celesteela').unstackable(),
    event.create('blade_orb').displayName('§a§lBlade Orb').tooltip('§eRight Click: Summons Kartana').unstackable(),
    event.create('glutton_orb').displayName('§8§lGlutton Orb').tooltip('§eRight Click: Summons Guzzlord').unstackable(),
    event.create('dark_crystal').displayName('§8§lDark Crystal').tooltip('§eRight Click: Summons Necrozma').unstackable(),
    event.create('iron_gear').displayName('§7§lIron Gear').tooltip('§eRight Click: Summons Magearna').unstackable(),
    event.create('shadow_fists').displayName('§8§lShadow Fists').tooltip('§eRight Click: Summons Marshadow').unstackable(),
    event.create('adhesive_orb').displayName('§5§lAdhesive Orb').tooltip('§eRight Click: Summons Poipole').unstackable(),
    event.create('assembly_orb').displayName('§7§lAssembly Orb').tooltip('§eRight Click: Summons Stakataka').unstackable(),
    event.create('burst_orb').displayName('§d§lBurst Orb').tooltip('§eRight Click: Summons Blacephalon').unstackable(),
    event.create('plasma_fists').displayName('§e§lPlasma Fists').tooltip('§eRight Click: Summons Zeraora').unstackable(),
    event.create('iron_fists').displayName('§7§lIron Fists').tooltip('§eRight Click: Summons Melmetal').unstackable(),
    event.create('rusted_sword').displayName('§4§lRusted Sword').tooltip('§eRight Click: Summons Zacian').unstackable(),
    event.create('rusted_shield').displayName('§4§lRusted Shield').tooltip('§eRight Click: Summons Zamazenta').unstackable(),
    event.create('max_mushrooms').displayName('§4§lMax Mushrooms').tooltip('§eRight Click: Summons Eternatus').unstackable(),
    event.create('scroll_of_darkness').displayName('§7§lScroll of Darkness').tooltip('§eRight Click: Summons Urshifu-Single').unstackable(),
    event.create('scroll_of_waters').displayName('§9§lScroll of Waters').tooltip('§eRight Click: Summons Urshifu-Rapid').unstackable(),
    event.create('banana').displayName('§6§lBanana').tooltip('§eRight Click: Summons Zarude').unstackable(),
    event.create('magnetic_ore').displayName('§e§lMagnetic Ore').tooltip('§eRight Click: Summons Regieleki').unstackable(),
    event.create('draconic_ore').displayName('§4§lDraconic Ore').tooltip('§eRight Click: Summons Regidrago').unstackable(),
    event.create('light_reins').displayName('§f§lLight Reins').tooltip('§eRight Click: Summons Glastrier').unstackable(),
    event.create('dark_reins').displayName('§8§lDark Reins').tooltip('§eRight Click: Summons Spectrier').unstackable(),
    event.create('big_brain').displayName('§d§lBig Brain').tooltip('§eRight Click: Summons Calyrex').unstackable(),
    event.create('pink_cloud').displayName('§d§lPink Cloud').tooltip('§eRight Click: Summons Enamorus').unstackable(),
    event.create('fossilized_tusk').displayName('§9§lFossilized Tusk').tooltip('§eRight Click: Summons Great Tusk').unstackable(),
    event.create('fossilized_balloon').displayName('§d§lFossilized Balloon').tooltip('§eRight Click: Summons Scream Tail').unstackable(),
    event.create('fossilized_mushroom').displayName('§2§lFossilized Mushroom').tooltip('§eRight Click: Summons Brute Bonnet').unstackable(),
    event.create('fossilized_ghost').displayName('§1§lFossilized Ghost').tooltip('§eRight Click: Summons Flutter Mane').unstackable(),
    event.create('fossilized_moth').displayName('§c§lFossilized Moth').tooltip('§eRight Click: Summons Slither Wing').unstackable(),
    event.create('fossilized_magnet').displayName('§7§lFossilized Magnet').tooltip('§eRight Click: Summons Sandy Shocks').unstackable(),
    event.create('mechanical_trunk').displayName('§c§lMechanical Trunk').tooltip('§eRight Click: Summons Iron Treads').unstackable(),
    event.create('mechanical_penguin').displayName('§b§lMechanical Penguin').tooltip('§eRight Click: Summons Iron Bundle').unstackable(),
    event.create('mechanical_hand').displayName('§e§lMechanical Hand').tooltip('§eRight Click: Summons Iron Hands').unstackable(),
    event.create('mechanical_hydra').displayName('§8§lMechanical Hydra').tooltip('§eRight Click: Summons Iron Jugulis').unstackable(),
    event.create('mechanical_moth').displayName('§c§lMechanical Moth').tooltip('§eRight Click: Summons Iron Moth').unstackable(),
    event.create('mechanical_titan').displayName('§a§lMechanical Titan').tooltip('§eRight Click: Summons Iron Thorns').unstackable(),
    event.create('tablet_of_ruin').displayName('§2§lTablet of Ruin').tooltip('§eRight Click: Summons Wo-Chien').unstackable(),
    event.create('sword_of_ruin').displayName('§b§lSword of Ruin').tooltip('§eRight Click: Summons Chien-Pao').unstackable(),
    event.create('vessel_of_ruin').displayName('§2§lVessel of Ruin').tooltip('§eRight Click: Summons Ting-Lu').unstackable(),
    event.create('beads_of_ruin').displayName('§4§lBeads of Ruin').tooltip('§eRight Click: Summons Chi-Yu').unstackable(),
    event.create('fossilized_dragon').displayName('§4§lFossilized Dragon').tooltip('§eRight Click: Summons Roaring Moon').unstackable(),
    event.create('mechanical_blade').displayName('§d§lMechanical Blade').tooltip('§eRight Click: Summons Iron Valiant').unstackable(),
    event.create('scarlet_wheel').displayName('§c§lScarlet Wheel').tooltip('§eRight Click: Summons Koraidon').unstackable(),
    event.create('violet_wheel').displayName('§1§lViolet Wheel').tooltip('§eRight Click: Summons Miraidon').unstackable(),
    event.create('fossilized_dinosaur').displayName('§3§lFossilized Dinosaur').tooltip('§eRight Click: Summons Walking Wake').unstackable(),
    event.create('mechanical_leaf').displayName('§2§lMechanical Leaf').tooltip('§eRight Click: Summons Iron Leaves').unstackable(),
    event.create('fighting_chain').displayName('§5§lFighting Chain').tooltip('§eRight Click: Summons Okidogi').unstackable(),
    event.create('psychic_chain').displayName('§5§lPsychic Chain').tooltip('§eRight Click: Summons Munkidori').unstackable(),
    event.create('fairy_chain').displayName('§5§lFairy Chain').tooltip('§eRight Click: Summons Fezandipiti').unstackable(),
    event.create('teal_mask').displayName('§a§lTeal Mask').tooltip('§eRight Click: Summons Ogerpon').unstackable(),
    event.create('fossilized_crest').displayName('§4§lFossilized Crest').tooltip('§eRight Click: Summons Gouging Fire').unstackable(),
    event.create('fossilized_neck').displayName('§6§lFossilized Neck').tooltip('§eRight Click: Summons Raging Bolt').unstackable(),
    event.create('mechanical_boulder').displayName('§6§lMechanical Boulder').tooltip('§eRight Click: Summons Iron Boulder').unstackable(),
    event.create('mechanical_crown').displayName('§3§lMechanical Crown').tooltip('§eRight Click: Summons Iron Crown').unstackable(),
    event.create('tera_crystal').displayName('§b§lTera Crystal').tooltip('§eRight Click: Summons Terapagos').unstackable(),
    event.create('mythical_pecha').displayName('§5§lMythical Pecha Berry').tooltip('§eRight Click: Summons Pecharunt').unstackable()
  })